%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

Summary: 	Advanced protection system for PHP installations
Name: 		php-suhosin
Version: 	0.9.23
Release: 	1.2
License: 	PHP License
Group: 		Development/Languages
URL: 		http://www.hardened-php.net/suhosin/

Source: 	http://www.hardened-php.net/suhosin/_media/suhosin-%{version}.tgz
Source1:	PHP-LICENSE-3.01
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: 	php-api = %{php_apiver}
BuildRequires: 	php-devel, autoconf, automake, libtool

%description
From home page:
Suhosin is an advanced protection system for PHP installations. It was designed
to protect servers and users from known and unknown flaws in PHP applications
and the PHP core. Suhosin comes in two independent parts, that can be used
separately or in combination. The first part is a small patch against the PHP
core, that implements a few low-level protections against bufferoverflows or
format string vulnerabilities and the second part is a powerful PHP extension
that implements all the other protections.

This package contains the php module.

%prep
%setup -c -q
%{__install} -m 644 -c %{SOURCE1} suhosin-%{version}/LICENSE

%build
cd suhosin-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd suhosin-%{version}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/suhosin.ini << 'EOF'
; Enable suhosin extension module
extension=suhosin.so
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc suhosin-%{version}/{LICENSE,Changelog,CREDITS}
%config(noreplace) %{_sysconfdir}/php.d/suhosin.ini
%{php_extdir}/suhosin.so

%changelog
* Wed Jan 30 2008 Michael A. Peters <mpeters@mac.com> 0.9.23-0
- version bump

* Tue Dec  4 2007 Michael A. Peters <mpeters@mac.com> 0.9.22-0.2
- added dist tag, rebuild in centos 5.1
- update to 0.9.22

* Sat Nov 24 2007 Michael A. Peters <mpeters@mac.com> 0.9.20-0.1
- initial RPM
